SimpleDayCounter Class Reference
Date and time calculations » Day counters

Simple day counter for reproducing theoretical calculations. More...

`#include <ql/time/daycounters/simpledaycounter.hpp>`

Inheritance diagram for SimpleDayCounter:
[legend]

## Additional Inherited Members

Public Member Functions inherited from DayCounter
| DayCounter ()
bool | empty () const
| Returns whether or not the day counter is initialized.
std::string | name () const
| Returns the name of the day counter. More...
BigInteger | dayCount (const Date &, const Date &) const
| Returns the number of days between two dates.
Time | yearFraction (const Date &, const Date &, const Date &refPeriodStart=Date(), const Date &refPeriodEnd=Date()) const
| Returns the period between two dates as a fraction of year.
Protected Member Functions inherited from DayCounter
| DayCounter (const boost::shared_ptr< Impl > &impl)
Protected Attributes inherited from DayCounter
boost::shared_ptr< Impl > | impl_
Related Functions inherited from DayCounter
bool | operator== (const DayCounter &, const DayCounter &)
bool | operator!= (const DayCounter &, const DayCounter &)
std::ostream & | operator<< (std::ostream &, const DayCounter &)

## Detailed Description

Simple day counter for reproducing theoretical calculations.

This day counter tries to ensure that whole-month distances are returned as a simple fraction, i.e., 1 year = 1.0, 6 months = 0.5, 3 months = 0.25 and so forth.

Warning:
  this day counter should be used together with NullCalendar, which ensures that dates at whole-month distances share the same day of month. It is not guaranteed to work with any other calendar.

Tests:
  the correctness of the results is checked against known good values.

Examples:
  FittedBondCurve.cpp.